/point match/ {
  matlen=$4;
}
/^Player/ {
  if($4 == "") {
	player1 = $2;
	player2 = $3;
	matchID += 1;
  }
}
/Unforced moves/ {
  unforcedMoves1 = $3;
  unforcedMoves2 = $4;
}
/Error based abs. FIBS rating/ {
  r1 = $6;
  r2 = $7;
}
/Chequerplay errors rating loss/{
  rm1 = $5;
  rm2 = $6;
}

/Cube errors rating loss/ {
  rc1 = $5;
  rc2 = $6;
# this is last line in stats output, now compute ratings if sane data
  if(unforcedMoves1 > 0 || unforcedMoves2 > 0) {
	matchNumber[player1] += 1;
	matchNumber[player2] += 1;
	ratingM[player1,matchNumber[player1]] = rm1;
	ratingM[player2,matchNumber[player2]] = rm2;
	ratingC[player1,matchNumber[player1]] = rc1;
	ratingC[player2,matchNumber[player2]] = rc2;
	opponent[player1,matchNumber[player1]] = player2;
	opponent[player2,matchNumber[player2]] = player1;
  }
}
END {
  format = "%a %b %e %H:%M:%S %Z %Y";
  print strftime(format);
  ratingOffset = 2200;
  for(playerName in matchNumber) {
	printf("=%s=\n", playerName);
	nmatches = matchNumber[playerName];
	r = 0;
	rM = 0;
	rC = 0;
	for(k=1;k<=nmatches;k++) {
	  r += ratingM[playerName,k]+ratingC[playerName,k];
	  rM +=  ratingM[playerName,k];
	  rC +=  ratingC[playerName,k];
	}
	av_rating = ratingOffset - r / nmatches;
	av_rM = rM/nmatches;
	av_rC = rC/nmatches;
	varR = 0;
	for(k=1;k<=nmatches;k++) {
	  varR += (ratingOffset-ratingM[playerName,k]-ratingC[playerName,k]-av_rating)*(ratingOffset-ratingM[playerName,k]-ratingC[playerName,k]-av_rating);
	}
	sigmaR = sqrt(varR);
	conf90R = 1.645*sigmaR/nmatches;

	if(nmatches == 1) {
	  printf("%-15s (%-14s) %4.0f +- %-6.0f Moves: %-6.0f Cubes: %-6.0f\n",playerName,opponent[playerName,1],av_rating,conf90R,av_rM,av_rC);
	} else {
	  printf("%-15s (Average of %-3d) %4.0f +- %-6.0f Moves: %-6.0f Cubes: %-6.0f\n",playerName,nmatches,av_rating,conf90R,av_rM,av_rC);
	}
	if(nmatches>1) {
	  for(k=1;k<=nmatches;k++) {
		printf("%-15s (%-14s) %-6.0f\n","",opponent[playerName,k],ratingOffset-ratingM[playerName,k]-ratingC[playerName,k]);
	  }
	}
  }
}
